.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  max-width: 600px;
  height: 500px;
  background-color: var(--grey);
  box-shadow: 24;
  padding: 3rem 2rem;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 2rem;
  color: #fff;
  z-index: 999;
  border: 2px solid var(--green);

  .closeIcon {
    position: absolute;
    right: 15px;
    top: 15px;
    font-size: 1.4rem;
    cursor: pointer;
    transition: 250ms ease-in-out;

    &:hover {
      color: red;
    }
  }

  h4 {
    font-size: 2rem;
    text-align: center;

    @media (max-width: 580px) {
      font-size: 1.5rem;
    }

    @media (max-width: 340px) {
      font-size: 1.2rem;
    }
  }

  .inputWrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 10px;

    input {
      width: 100%;
      padding: 0.5rem;
      outline: none;
      border: 0;
      background-color: transparent;
      color: #fff;
      border: 1px solid #fff;
    }
  }

  .inputBox {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    span {
      background-color: #fff;
      color: #000;
      padding: 0.5rem 1.5rem;
      border: 0;
      outline: 0;
      border-left: 1px solid #000;
      border: 1px solid #fff;
    }
  }

  button {
    width: 100%;
    max-width: 150px;
    outline: none;
    border: 2px solid transparent;
    transition: 250ms ease-in-out;
    background-color: var(--green);
    color: #fff;
    font-size: 1.2rem;
    border-radius: 10px;
    padding: 0.4rem 1rem;
    cursor: pointer;

    &:hover {
      border: 2px solid var(--green);
      background-color: transparent;
    }
  }

  .error {
    color: #e10600;
    position: absolute;
    bottom: 15px;
  }
}
